<template>
  <div
    class="el-slider__marks-text"
    @click.stop="onMarkClick"
    style="
       {
        this.mark.style|| {
        }
      }
    ">
    {{ label }}
  </div>
</template>
<script>
export default {
  name: 'ElMarker',
  props: {
    mark: { type: [String, Object] },
  },
  data() {
    return {
      label: '',
    }
  },
  mounted() {
    this.label = typeof this.mark === 'string' ? this.mark : this.mark.label
  },
  methods: {
    onMarkClick(e) {
      this.$emit('click')
    },
  },
}
</script>
